.btn-center {
  display: block;
  margin: 0px auto;
}
.error_msg {
  color: red;
}
.signup-btn {
  margin: 0px 15px;
}
.nav_section a.active {
  font-weight: bold;
}
.singin_section .signin_error {
  color: red;
}
.nav_section .signin_btn {
  background-color: blue;
  color: yellow;
  font-weight: 500;
  border-color: transparent;
}
.nav_section .signin_btn:hover {
  background-color: yellow;
  color: red;
  border-color: transparent;
  transition: 0.5s ease;
}

.App {
  text-align: center;
}
.table_css {
  border: 1px solid black;
  width: 100%;
  display: block;
  margin: 10px auto;
  border-radius: 10px;
  padding: 5px;
}
.table_head {
  background-color: aqua;
}
th {
  padding: 10px;
  text-align: justify;
}
.table_body {
  cursor: pointer;
}
.body_row {
  background-color: rgb(226, 255, 255);
  color: black;
}
.body_row td {
  margin: 10px 0px;
  padding: 3px 5px;
  text-align: justify;
}
.body_row:hover {
  background-color: rgb(99, 98, 112);
  color: white;
  transition: 0.5s ease;
}
.all_btn {
  cursor: pointer;
  padding: 8px 22px;
  border-radius: 5px;
  background-color: blue;
  color: white;
  border: 1px solid;
  border-color: blue;
  margin: 10px;
  font-size: 15px;
  font-weight: 500;
}
.all_btn:hover {
  background-color: white;
  color: blue;
  transition: 0.5s ease;
}
.all_input {
  height: 28px;
  border-radius: 5px;
  width: 10%;
  margin-left: 10px;
  font-size: 15px;
}
.display_info {
  width: 50%;
  height: 400px;
  margin: 10px auto;
  position: relative;
}
.display_info img {
  border-radius: 10px;
  width: 100%;
  height: 400px;
  position: relative;
  opacity: 0.3;
  z-index: -1;
}
.display_info p {
  position: absolute;
  color: black;
}
.display_info a {
  color: yellow;
  position: absolute;
}
.display_info .dispaly_author {
  top: 80px;
  left: 20px;
}
.display_info .dispaly_content {
  top: 150px;
  left: 20px;
}
.display_info .dispaly_description {
  left: 20px;
  bottom: 80px;
}
.display_info .dispaly_publishedAt {
  top: 110px;
  left: 20px;
}
.display_info .dispaly_title {
  top: 50px;
  left: 20px;
}
.display_info .dispaly_url {
  left: 20px;
  bottom: 50px;
}
.postbox{
  padding: 10px;
  border: 1px solid black;
  text-align: justify;
  width: 95%;
  height: 100px;
  margin: 10px auto;
  border-radius: 5px;
  background-color: white;
  color: black;
  border: 5px solid aqua;
  box-shadow: 5px 10px aqua;
}
.postbox:hover{
  width: 98%;
  background-color: aqua;
  border-color: white;
  transition: 0.5s ease;
  box-shadow: none;
}
.bodytext{
  white-space: nowrap; 
  height: 150px; 
  overflow: hidden;
  text-overflow: ellipsis; 
}
.boxalbums{
  /* border:1px solid black; */
  border:3px solid aqua;
  border-left: 20px solid aqua;
  width: 95%;
  height: 50px;
  margin:10px auto;
  padding:5px
}
.boxalbums:hover{
  transition:0.5s ease;
  width: 97%;
  font-size: large;
}
.databox:hover{
  font-size: large;
}

.searchinput{
  border-radius: 3px;
  height: 30px;
  cursor: auto;
  width: 20%;
}
.dropmenu{
  width: 20%;
}